KIWIX-MANAGE(1)

NAME
kiwix-manage - Kiwix Library Manager

SYNOPSIS

kiwix-manage LIBRARY_PATH add ZIM_PATH ...

kiwix-manage LIBRARY_PATH show [ZIM_ID_1] [ZIM_ID_2] ...

kiwix-manage LIBRARY_PATH remove ZIM_ID_1 [ZIM_ID_2] ...

kiwix-manage --version

kiwix-manage --help

DESCRIPTION

kiwix-manage is a command line tool for manipulating a Kiwix XML library.

kiwix-manage allows to manage the entries of the Kiwix library. The library file is a flat XML file listing ZIM files with all necessary information like id, favicon, date, creator, description, filepath, title, url, etc.

ACTIONS

add Add ZIM_FILE to LIBRARY_FILE. Create the library file if necessary.

remove
    Remove the given ZIM_ID from LIBRARY_FILE. At least one ZIM_ID should be specified.

show
    Show given ZIM_ID from LIBRARY_FILE. If no ZIM_ID is given then all contents from LIBRARY_FILE are shown.

OPTIONS

Options to be used with the action add:

--url=HTTP_URL
    Set the ZIM online HTTP(S) URL

--zimPathToSave=OTHER_FS_PATH
    Set an arbitrary ZIM filesystem path (instead of the ZIM_PATH)

Other options (to be used alone):

--help | -h
    Display the kiwix-manage help

--version | -v
    Display the version of kiwix-manage and all dependences

SEE ALSO
kiwix-serve(1)

AUTHORS
Kiwix team <contact@kiwix.org>